[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / FormLoadMethod

# Interface: FormLoadMethod\<T\>

Defined in: [packages/angular/forms/src/lib/directives/models.ts:10](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/models.ts#L10)

## Extends

- `Method`\<`T`\>

## Type Parameters

• **T** = `any`

## Properties

### metadata?

> `optional` **metadata**: `any`

Defined in: [packages/pattern/src/lib/meta-data.ts:2](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/pattern/src/lib/meta-data.ts#L2)

#### Inherited from

`Method.metadata`

## Methods

### call()

> **call**(): `T` \| `Promise`\<`T`\>

Defined in: [packages/angular/forms/src/lib/directives/models.ts:11](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/models.ts#L11)

#### Returns

`T` \| `Promise`\<`T`\>

#### Overrides

`Method.call`
